Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.facet.range
Class RangeAccumulator

    java.lang.Object
      org.apache.lucene.facet.search.FacetsAccumulator
          org.apache.lucene.facet.range.RangeAccumulator

    public class RangeAccumulator

extends FacetsAccumulator

Uses a `NumericDocValues` and accumulates counts for provided ranges. This is dynamic (does not use the taxonomy index or anything from the index except the NumericDocValuesField).

Field Summary

Fields inherited from class org.apache.lucene.facet.search.FacetsAccumulator
`facetArrays, indexReader, searchParams, taxonomyReader`

Constructor Summary
`RangeAccumulator(FacetSearchParams fsp, IndexReader reader)`

Method Summary
`List<FacetResult>` | `accumulate(List<FacetsCollector.MatchingDocs> matchingDocs)` Used by `FacetsCollector` to build the list of `facet results` that match the `facet requests` that were given in the constructor.
`FacetsAggregator` | `getAggregator()` Returns the `FacetsAggregator` to use for aggregating the categories found in the result documents.
`boolean` | `requiresDocScores()`

Methods inherited from class org.apache.lucene.facet.search.FacetsAccumulator
`create, createFacetResultsHandler, emptyResult, getCategoryLists`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RangeAccumulator

    public RangeAccumulator(FacetSearchParams fsp,
                            IndexReader reader)

Method Detail

### getAggregator

    public FacetsAggregator getAggregator()

  Description copied from class: `FacetsAccumulator`
  Returns the `FacetsAggregator` to use for aggregating the categories found in the result documents. The default implementation returns `CountingFacetsAggregator`, or `FastCountingFacetsAggregator` if all categories can be decoded with `DGapVInt8IntDecoder`.

  Overrides:
    `getAggregator` in class `FacetsAccumulator`

### accumulate

    public List<FacetResult> accumulate(List<FacetsCollector.MatchingDocs> matchingDocs)
                                 throws IOException

  Description copied from class: `FacetsAccumulator`
  Used by `FacetsCollector` to build the list of `facet results` that match the `facet requests` that were given in the constructor.

  Overrides:
    `accumulate` in class `FacetsAccumulator`
  Parameters:
    `matchingDocs` - the documents that matched the query, per-segment.
  Throws:
    `IOException`

### requiresDocScores

    public boolean requiresDocScores()

  Overrides:
    `requiresDocScores` in class `FacetsAccumulator`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.